"""Peewee migrations -- 180_MAIN.py.

Add invoice_fn field to Setup model.
"""

import peewee as pw
from peewee_migrate import Migrator


def migrate(migrator: Migrator, database: pw.Database, *, fake=False):
    """Write your migrations here."""

    migrator.add_fields(
        'setup',
        invoice_fn=pw.TextField(default='invoice.html'))


def rollback(migrator: Migrator, database: pw.Database, *, fake=False):
    """Write your rollback migrations here."""

    migrator.remove_fields('setup', 'invoice_fn')
